org.apache.geode.cache.client

## Class SubscriptionNotEnabledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.client.ServerConnectivityException
          - - org.apache.geode.cache.client.SubscriptionNotEnabledException

- All Implemented Interfaces:
    java.io.Serializable

      public class SubscriptionNotEnabledException
      extends ServerConnectivityException

  An exception indicating that client subscriptions are not enabled on this client, but the client is trying to perform an operation that requires a client subscription, such as `Region.registerInterest(Object)`.
  Since:
    GemFire 5.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionNotEnabledException()` Create a new instance of SubscriptionNotEnabledException without a detail message or cause.
    `SubscriptionNotEnabledException(java.lang.String message)` Create a new instance of SubscriptionNotEnabledException with a detail message
    `SubscriptionNotEnabledException(java.lang.String message, java.lang.Throwable cause)` Create a new instance of SubscriptionNotEnabledException with a detail message and cause
    `SubscriptionNotEnabledException(java.lang.Throwable cause)` Create a new instance of SubscriptionNotEnabledException with a and cause

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionNotEnabledException

          public SubscriptionNotEnabledException()

      Create a new instance of SubscriptionNotEnabledException without a detail message or cause.

    - #### SubscriptionNotEnabledException

          public SubscriptionNotEnabledException(java.lang.String message)

      Create a new instance of SubscriptionNotEnabledException with a detail message
      Parameters:
        `message` - the detail message

    - #### SubscriptionNotEnabledException

          public SubscriptionNotEnabledException(java.lang.String message,
                                                 java.lang.Throwable cause)

      Create a new instance of SubscriptionNotEnabledException with a detail message and cause
      Parameters:
        `message` - the detail message
        `cause` - the cause

    - #### SubscriptionNotEnabledException

          public SubscriptionNotEnabledException(java.lang.Throwable cause)

      Create a new instance of SubscriptionNotEnabledException with a and cause
      Parameters:
        `cause` - the cause